@charset "utf-8";

$navbar-height: 60px;

@import "pix-design-tokens";
@import "globals/colors-ecriplus";
@import "globals/errors";
@import "globals/forms";
@import "globals/modals";
@import "globals/pages";
@import "globals/panels";
@import "globals/tables";
@import "globals/texts";
@import "globals/titles";
@import "pages/login";
@import "pages/login-session-supervisor";
@import "pages/session-supervising";
@import "pages/session-supervising-error";
@import "pages/authenticated";
@import "pages/authenticated/restricted-access";
@import "pages/authenticated/sessions";
@import "pages/authenticated/sessions/add-student";
@import "pages/authenticated/sessions/details";
@import "pages/authenticated/sessions/import";
@import "pages/authenticated/sessions/list-items";
@import "pages/authenticated/sessions/no-session-panel";
@import "pages/authenticated/sessions/details/certification-candidates";
@import "pages/authenticated/sessions/details/certification-candidates-sco";
@import "pages/authenticated/team";
@import "ecriplusCertif";
@import "pages/terms-of-service";
@import "pages/join";
@import "components/auth/toggable-login-form";
@import "components/add-student-list";
@import "components/certif-checkbox";
@import "components/ember-cli-notifications-ie-fallback";
@import "components/add-issue-report-modal";
@import "components/certification-candidate-details-modal";
@import "components/issue-report-modal";
@import "components/layout/footer";
@import "components/login-form";
@import "components/login-session-supervisor-form";
@import "components/login-or-register";
@import "components/finalize";
@import "components/new-certification-candidate-modal";
@import "components/edit-recipient-email-modal";
@import "components/members-list";
@import "components/finalization-confirmation-modal";
@import "components/register-form";
@import "components/select-referer-modal";
@import "components/session-finalization-step-container";
@import "components/session-delete-confirm-modal";
@import "components/session-finalization/reports-information-step";
@import "components/session-finalization/complementary-information-step";
@import "components/session-finalization/formbuilder-link-step";
@import "components/session-finalization/examiner-global-comment-step";
@import "components/session-supervising/header";
@import "components/session-supervising/candidate-in-list";
@import "components/session-supervising/candidate-list";
@import "components/session-summary-list";
@import "components/dropdown";
@import "components/user-logged-menu";

body,
html {
  margin: 0;
  min-height: 100%;
  min-height: 100vh;
  font-family: $font-roboto;
  color: $pix-neutral-110;
  background-color: $pix-neutral-10;
}

body > .ember-view {
  height: 100%;
}

input:invalid {
  box-shadow: none;
}

* {
  box-sizing: border-box;
}
